﻿using CommunityToolkit.Mvvm.ComponentModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MVVMwithWPF.Models
{
    internal partial class Member : ObservableObject, ICloneable
    {
        public int Id { get; set; }
        public DateTime RegDate { get; set; }

        [ObservableProperty]
        private string _name;
        [ObservableProperty]
        private string _phone;
        [ObservableProperty]
        private bool _isUse;


        public object Clone()
        {
            return MemberwiseClone();
        }
    }
}
