﻿using CommunityToolkit.Mvvm.ComponentModel;
using MVVMwithWPF.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MVVMwithWPF.ViewModels
{
    internal partial class BindindSampleViewModel : ViewModelBase
    {
        [ObservableProperty]
        private ObservableCollection<Person> _persons;
        [ObservableProperty]
        private int _id;
        [ObservableProperty]
        private string _name;
        [ObservableProperty]
        private bool _sex;
        [ObservableProperty]
        private ObservableCollection<bool> _sexes;

        public BindindSampleViewModel()
        {
            Persons = new ObservableCollection<Person>()
            {
                new Person() { Id = 11, Name = "person001", Sex = true },
                new Person() { Id = 22, Name = "person002", Sex = false },
            };

            Sexes = new ObservableCollection<bool>() { true, false };

            Id = 99;
            Name = "person000";
            Sex = false;
        }
    }
}
